Bug 115226 - Update bundled Amiri to 0.111
Summary: Update bundled Amiri to 0.111
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.2 rc
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Fonts-Bundled 113532
  Show dependency treegraph
 
Reported: 2018-01-25 10:06 UTC by Volga
Modified: 2018-05-02 10:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2018-01-25 10:06:14 UTC
Description:
The Amiri font released version 0.111 after bug 113532, so LibreOffice can update bundled Amiri font.

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Android 5.1.1; Mobile; rv:58.0) Gecko/58.0 Firefox/58.0
Comment 1 Xisco Faulí 2018-01-25 10:10:50 UTC
Link -> https://github.com/alif-type/amiri/releases/tag/0.111
Comment 2 Yousuf Philips (jay) (retired) 2018-01-25 17:09:06 UTC
(In reply to Volga from comment #0)
> The Amiri font released version 0.111 after bug 113532, so LibreOffice can
> update bundled Amiri font.

Doubt we'd update amiri for the 6.0 release, so it would only get updated for the 6.1 release, so we should wait for just before the 6.1 and LO to the latest version of amiri at that time.
Comment 3 Volga 2018-01-26 11:03:10 UTC Comment hidden (off-topic)
Comment 4 Volga 2018-01-26 15:22:38 UTC Comment hidden (off-topic)
Comment 5 Adolfo Jayme 2018-03-31 06:38:26 UTC
@András: can you help us out with this one? :)
Comment 6 Andras Timar 2018-03-31 10:58:03 UTC
I pushed the update to gerrit:
https://gerrit.libreoffice.org/52184
Please note that font names have changed (why it was necessary, I cannot understand). Please test, especially if it upgrades amiri-quran.ttf to AmiriQuran.ttf correctly on Windows.
Comment 7 Commit Notification 2018-03-31 19:13:56 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3c9d29cdb8d83ce060b5ddc96ef1463ea32350c

tdf#115226 Update bundled Amiri to 0.111

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-05-02 09:22:18 UTC
A polite ping to Andras Timar: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 9 Andras Timar 2018-05-02 10:03:18 UTC
I did not get feedback, so I consider that this bug is fixed.